com.impinj.octane

## Class ReportConfig

- java.lang.Object
- - com.impinj.octane.ReportConfig

-     public class ReportConfig
      extends java.lang.Object

  container class to specify the contents of tag Reports
  See Also:
    `TagReport`, `Settings.setReport(ReportConfig)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReportConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Boolean` | `getIncludeAntennaPortNumber()`
    `java.lang.Boolean` | `getIncludeChannel()`
    `java.lang.Boolean` | `getIncludeCrc()`
    `java.lang.Boolean` | `getIncludeDopplerFrequency()`
    `java.lang.Boolean` | `getIncludeFastId()`
    `java.lang.Boolean` | `getIncludeFirstSeenTime()`
    `java.lang.Boolean` | `getIncludeGpsCoordinates()`
    `java.lang.Boolean` | `getIncludeLastSeenTime()`
    `java.lang.Boolean` | `getIncludePcBits()`
    `java.lang.Boolean` | `getIncludePeakRssi()`
    `java.lang.Boolean` | `getIncludePhaseAngle()`
    `java.lang.Boolean` | `getIncludeSeenCount()`
    `ReportMode` | `getMode()` The report Mode specifies when tag reports are generated
    `java.util.ArrayList<TagReadOp>` | `getOptimizedReadOps()` When optimized reads are enabled, the report can contain optimized read reports.
    `void` | `setIncludeAntennaPortNumber(java.lang.Boolean includeAntennaPortNumber)`
    `void` | `setIncludeChannel(java.lang.Boolean includeChannel)`
    `void` | `setIncludeCrc(java.lang.Boolean includeCrc)`
    `void` | `setIncludeDopplerFrequency(java.lang.Boolean includeDopplerFrequency)`
    `void` | `setIncludeFastId(java.lang.Boolean includeFastId)`
    `void` | `setIncludeFirstSeenTime(java.lang.Boolean includeFirstSeenTime)`
    `void` | `setIncludeGpsCoordinates(java.lang.Boolean includeGpsCoordinates)`
    `void` | `setIncludeLastSeenTime(java.lang.Boolean includeLastSeenTime)`
    `void` | `setIncludePcBits(java.lang.Boolean includePcBits)`
    `void` | `setIncludePeakRssi(java.lang.Boolean includePeakRssi)`
    `void` | `setIncludePhaseAngle(java.lang.Boolean includePhaseAngle)`
    `void` | `setIncludeSeenCount(java.lang.Boolean includeSeenCount)`
    `void` | `setMode(ReportMode mode)` The report Mode specifies when tag reports are generated
    `protected void` | `setOptimizedReadOps(java.util.ArrayList<TagReadOp> optimizedReadOps)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReportConfig

          public ReportConfig()

  - ### Method Detail

    - #### getOptimizedReadOps

          public java.util.ArrayList<TagReadOp> getOptimizedReadOps()

      When optimized reads are enabled, the report can contain optimized read reports.
      Returns:
        a list of optimized reads

    - #### setOptimizedReadOps

          protected void setOptimizedReadOps(java.util.ArrayList<TagReadOp> optimizedReadOps)

    - #### getIncludeAntennaPortNumber

          public java.lang.Boolean getIncludeAntennaPortNumber()

    - #### setIncludeAntennaPortNumber

          public void setIncludeAntennaPortNumber(java.lang.Boolean includeAntennaPortNumber)

    - #### getIncludeChannel

          public java.lang.Boolean getIncludeChannel()

    - #### setIncludeChannel

          public void setIncludeChannel(java.lang.Boolean includeChannel)

    - #### getIncludeFirstSeenTime

          public java.lang.Boolean getIncludeFirstSeenTime()

    - #### setIncludeFirstSeenTime

          public void setIncludeFirstSeenTime(java.lang.Boolean includeFirstSeenTime)

    - #### getIncludeLastSeenTime

          public java.lang.Boolean getIncludeLastSeenTime()

    - #### setIncludeLastSeenTime

          public void setIncludeLastSeenTime(java.lang.Boolean includeLastSeenTime)

    - #### getIncludePeakRssi

          public java.lang.Boolean getIncludePeakRssi()

    - #### setIncludePeakRssi

          public void setIncludePeakRssi(java.lang.Boolean includePeakRssi)

    - #### getIncludeSeenCount

          public java.lang.Boolean getIncludeSeenCount()

    - #### setIncludeSeenCount

          public void setIncludeSeenCount(java.lang.Boolean includeSeenCount)

    - #### getIncludeFastId

          public java.lang.Boolean getIncludeFastId()

    - #### setIncludeFastId

          public void setIncludeFastId(java.lang.Boolean includeFastId)

    - #### getIncludePhaseAngle

          public java.lang.Boolean getIncludePhaseAngle()

    - #### setIncludePhaseAngle

          public void setIncludePhaseAngle(java.lang.Boolean includePhaseAngle)

    - #### getIncludeDopplerFrequency

          public java.lang.Boolean getIncludeDopplerFrequency()

    - #### setIncludeDopplerFrequency

          public void setIncludeDopplerFrequency(java.lang.Boolean includeDopplerFrequency)

    - #### getIncludeGpsCoordinates

          public java.lang.Boolean getIncludeGpsCoordinates()

    - #### setIncludeGpsCoordinates

          public void setIncludeGpsCoordinates(java.lang.Boolean includeGpsCoordinates)

    - #### getIncludePcBits

          public java.lang.Boolean getIncludePcBits()

    - #### setIncludePcBits

          public void setIncludePcBits(java.lang.Boolean includePcBits)

    - #### getIncludeCrc

          public java.lang.Boolean getIncludeCrc()

    - #### setIncludeCrc

          public void setIncludeCrc(java.lang.Boolean includeCrc)

    - #### getMode

          public ReportMode getMode()

      The report Mode specifies when tag reports are generated
      Returns:
        the current value for report mode

    - #### setMode

          public void setMode(ReportMode mode)

      The report Mode specifies when tag reports are generated
      Parameters:
        `mode` - the desired value for report mode